(* Time-stamp: <modified the 21/02/2019 (at 11:04) by Erwan Jahier> *)

type t =
  | Synchrone (* select all actions *) 
  | Random1 (* select 1 action *)
  | Random (* select at least one action *)
  | Custom

(** At the inner list level, exactly one action is chosen.
    At the outter list level, the number of chosen actions
    depends on the kind of demons.
  *)
val f : t -> 'a list list -> 'a list

