(* Time-stamp: <modified the 18/02/2019 (at 15:39) by Erwan Jahier> *)

type t = {
  pid : string; (* unique *)
  variables : Algo.vars;
  init : Algo.local_env;
  enable : Algo.enable_fun; 
  step : Algo.step_fun  ;
}

(** build a process and set its variable initial values *)
val make: Topology.node -> t
